import * as fastify from 'fastify';
interface Profiler {
    sectionTimes: object;
}
export declare let profilerInstance: Profiler;
export declare function setProfilerInstance(instance: Profiler): void;
declare class Profiler {
    sectionTimes: object;
    eventCounters: Map<string, Map<string, number>>;
    stackHeight: number;
    netInternalStackHeight: number;
    netExternalStackHeight: number;
    server: fastify.FastifyInstance;
    constructor(server: fastify.FastifyInstance);
    registerEndpoints(): void;
    profileSectionStart(sectionName: string, internal?: boolean): void;
    profileSectionEnd(sectionName: string, internal?: boolean): void;
    clearTimes(): void;
    printAndClearReport(): string;
}
export default Profiler;
