import { DevSecurityLevel } from '../types/security';
import { Transaction, TransactionType, TypedTransaction } from '@ethereumjs/tx';
import { Address } from '@ethereumjs/util';
export declare const getMultisigPublicKeys: () => Required<{
    [x: string]: DevSecurityLevel;
}>;
type Response = {
    result: string;
    reason: string;
};
export declare const scheduleMultiSigKeysSyncFromNetConfig: () => void;
export declare const syncKeysFromNetworkConfig: () => Promise<void>;
export declare const verifyTransaction: (tx: any) => Response;
export declare function isInternalTXGlobal(internalTx: any): boolean;
export declare function isInternalTx(timestampedTx: any): boolean;
export declare function validateTransferFromSecureAccount(tx: any): {
    success: boolean;
    reason: string;
};
export declare function getTransactionObj(tx: any): Transaction[TransactionType.Legacy] | Transaction[TransactionType.AccessListEIP2930];
type GetTxSenderAddressResult = {
    address: Address;
    isValid: boolean;
    gasValid: boolean;
};
export declare function getTxSenderAddress(tx: TypedTransaction): GetTxSenderAddressResult;
export {};
